commit:     7bfc7678187b8a54be7082813a6587ad2db6985a
Author:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 22 23:20:42 2021 +0000
Commit:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
CommitDate: Mon Feb 22 23:21:33 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7bfc7678

sys-auth/passwdqc: Version bump (v2.0.0)

Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Mikle Kolyada <zlogene <AT> gentoo.org>

 sys-auth/passwdqc/Manifest              |  1 +
 sys-auth/passwdqc/passwdqc-2.0.0.ebuild | 61 +++++++++++++++++++++++++++++++++
 2 files changed, 62 insertions(+)

diff --git a/sys-auth/passwdqc/Manifest b/sys-auth/passwdqc/Manifest
index dba9939c1f2..bfba630bb16 100644
--- a/sys-auth/passwdqc/Manifest
+++ b/sys-auth/passwdqc/Manifest
@@ -1 +1,2 @@
 DIST passwdqc-1.4.0.tar.gz 55219 BLAKE2B 
3f96a2d219ee23f11db2ad8ba433eaa56b97a263ad1a49159e0356b779cb4486ec9aa74cd7002fdd6d273e5a7bae4fe1b94e02f60256d331e5afc30d63e81360
 SHA512 
b9be6632688a1d7d929ec546679a366a67d44e7841e106c7f739a8e0656842866125160c87b04c8e0b3189a3e85eb182aa789196f68925b2f8ec71cd6a479800
+DIST passwdqc-2.0.0.tar.gz 86235 BLAKE2B 
fa67007ca0477feafd8743eda0899b7e348bf75e00e7ff23b6acdf56a456d75bec89a4b7dead41d7889610669425ff0145d6e7c94db0ce93219de0c5c0b80909
 SHA512 
7e5c0a32361d604c47ad02f36beff3287f638f2911b398a21b89cea164bf9a161b3bc252e9c660eaa53c5e5fce458d1cb1fd6b2bb308bafdb729c9d7e67f5295

diff --git a/sys-auth/passwdqc/passwdqc-2.0.0.ebuild 
b/sys-auth/passwdqc/passwdqc-2.0.0.ebuild
new file mode 100644
index 00000000000..1345d1d8e61
--- /dev/null
+++ b/sys-auth/passwdqc/passwdqc-2.0.0.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit pam toolchain-funcs
+
+DESCRIPTION="Password strength checking library (and PAM module)"
+HOMEPAGE="http://www.openwall.com/passwdqc/";
+SRC_URI="http://www.openwall.com/${PN}/${P}.tar.gz";
+
+LICENSE="Openwall BSD public-domain"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="sys-libs/pam"
+DEPEND="${RDEPEND}"
+
+pkg_setup() {
+       QA_FLAGS_IGNORED="/$(get_libdir)/security/pam_passwdqc.so
+                /usr/$(get_libdir)/libpasswdqc.so.0"
+}
+
+src_prepare() {
+       default
+       sed -i -e 's:`uname -s`:Linux:' Makefile || die
+
+       # ship our own default settings
+       cat <<- EOF > "${S}/passwdqc.conf"
+               min=8,8,8,8,8
+               max=40
+               passphrase=3
+               match=4
+               similar=deny
+               random=47
+               enforce=everyone
+               retry=3
+       EOF
+
+}
+
+_emake() {
+       emake -j1 \
+               SHARED_LIBDIR="/usr/$(get_libdir)" \
+               SECUREDIR="$(getpam_mod_dir)" \
+               CONFDIR="/etc/security" \
+               CFLAGS="${CFLAGS} ${CPPFLAGS}" \
+               LDFLAGS="${LDFLAGS}" \
+               CC="$(tc-getCC)" \
+               LD="$(tc-getCC)" \
+               "$@"
+}
+
+src_compile() {
+       _emake pam utils
+}
+
+src_install() {
+       _emake DESTDIR="${ED}" install_lib install_pam install_utils
+       dodoc README PLATFORMS INTERNALS
+}

Reply via email to